using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace petilja_2feladat
{
    class Program
    {
        static void Main(string[] args)
        {
            string Nstring = Console.ReadLine();
            int n = Convert.ToInt32(Nstring);
            int[] Atomb = new int[n];
            double[] Ptomb = new double[n];
            for (int i = 0; i < n; i++)
            {
                string asd = Console.ReadLine();
                string[] asd2 = asd.Split(' ');
                Atomb[i] = Convert.ToInt32(asd2[0]);
                Ptomb[i] = Convert.ToDouble(asd2[1]);
            }
            double max = 0;
            for (int i = 0; i < n; i++)
            {
                double max2 = 0;
                for (int j = 0; j < n; j++)
                {
                    if (Ptomb[j] >= Ptomb[i])
                    {
                        max2 += Atomb[j] * Ptomb[i] / 100;
                    }
                }
                if (max < max2)
                {
                    max = max2;
                }
            }

            Console.WriteLine(max);
        }
    }
}